package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.enums.BaseEnum;

//课酬结算考勤状态枚举
public enum SalarySettlementSignEnum implements BaseEnum<String,SalarySettlementSignEnum> {
	NORMAL_IN("正常签到"),
	ERR_IN("异常签到"),
	LATE("迟到"),
	TRUANTING("旷课"),
	NOT_IN("未签到"),
	NORMAL_OUT("正常签退"),
	ERR_OUT("异常签退"),
	LEAVE_EARLY("早退"),
	NOT_OUT("未签退");

	SalarySettlementSignEnum(String name) {
		this.name = name;
	}

	private String name;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public String getCode() {
		return null;
	}
}
